NAND_SCAN_BBT(9)

NAME
nand_scan_bbt - [NAND Interface] scan, find, read and maybe create bad block table(s)

SYNOPSIS

int nand_scan_bbt(struct mtd_info * mtd, struct nand_bbt_descr * bd);

ARGUMENTS

mtd
    MTD device structure

bd
    descriptor for the good/bad block search pattern

DESCRIPTION

The function checks, if a bad block table(s) is/are already available. If not it scans the device for manufacturer marked good / bad blocks and writes the bad block table(s) to the selected place.

The bad block table memory is allocated here. It must be freed by calling the nand_free_bbt function.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT